/*---------------------------------------------------------------------------*/

/*!  \file  files.h
     \brief  input / output files.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2007,2008,2018 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_FILES_H
#define INCLUDE_FILES_H

/*---------------------------------------------------------------------------*/
/*!  \brief  input/output files for simulator.  */
typedef struct simulation_iofiles
{
        /*!  \brief  output files.  */
    char *position_output;
    char *bond_output;
    char *stress_output;
    char *energy_output;
    char *geometry_output;
    char *dx_output;
    char *h5_output;

        /*!  \brief  output file name templates for sequential save.  */
    char *position_template;
    char *bond_template;
    char *dx_template;
} data_files;

/*---------------------------------------------------------------------------*/
/*!  \brief  allocate new simulation input / output data files.  */
data_files *allocate_data_files(void);
/*!  \brief  free simulation input / output data files.
     \param  files  simulation input / output data files to free  */
void free_data_files(data_files *files);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
