/*---------------------------------------------------------------------------*/

/*!  \file  tensor.h
     \brief  definitions for 1x1, 2x2, and 3x3 tensors  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2007,2019 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_TENSOR_H
#define INCLUDE_TENSOR_H

/*---------------------------------------------------------------------------*/
typedef float float_tensor1[1];
typedef float float_symmetric_tensor1[1];
typedef float float_tensor2[4];
typedef float float_symmetric_tensor2[3];
typedef float float_tensor3[9];
typedef float float_symmetric_tensor3[6];

typedef double double_tensor1[1];
typedef double double_symmetric_tensor1[1];
typedef double double_tensor2[4];
typedef double double_symmetric_tensor2[3];
typedef double double_tensor3[9];
typedef double double_symmetric_tensor3[6];

typedef double_tensor1 tensor1;
typedef double_symmetric_tensor1 symmetric_tensor1;
typedef double_tensor2 tensor2;
typedef double_symmetric_tensor2 symmetric_tensor2;
typedef double_tensor3 tensor3;
typedef double_symmetric_tensor3 symmetric_tensor3;

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
