#!/usr/bin/ruby

#------------------------------------------------------------------------------

#  txt2c.rb
#    convert a text file into a C string data

#------------------------------------------------------------------------------

#  Copyright (C) 2017 Takashi Uneyama  */
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
#  USA.

#------------------------------------------------------------------------------
def text2string(filename)
    stringname = filename.gsub(/[ -,\.]/,"_")

    print "static char #{stringname}[] = \"\\\n"

    fp = File.open(filename,"r")
    while fp.gets
	l = $_.chomp
	l.gsub!(/\\/,"\\\\\\\\")
	l.gsub!(/"/,"\\\\\"")
	print "#{l}\\n\\\n"
    end
    fp.close

    print "\";\n"
end

#------------------------------------------------------------------------------
for f in ARGV
    if File.exist?(f) then
        text2string(f)
    end
end

#------------------------------------------------------------------------------

